<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->
</head>
<body>

<div th:replace="fragments/layout :: header('sortiment')"></div>

<!--CAROUSEL-->
<div th:replace="fragments/layout :: carousel"></div>

<main id="main" class="container">
    <!--KATEGORIE-->
    <div class="row no-gutters text-light px-xl-5">
        <div class="col-6 col-md-3 p-2 p-lg-3">
            <a href="#main" class="link-category" data-link-cat="machines"
               th:classappend="${category == 'machines'} ? 'active'">
                <div class="py-3 px-2 btn-category center">
                    <i class="fas fa-snowplow btn-category-img"></i>
                    <p class="m-0">Stavební stroje</p>
                </div>
            </a>
        </div>
        <div class="col-6 col-md-3 p-2 p-lg-3">
            <a href="#main" class="link-category" data-link-cat="tools"
               th:classappend="${category == 'tools'} ? 'active'">
                <div class="py-3 px-2 btn-category center">
                    <i class="fas fa-wrench btn-category-img"></i>
                    <p class="m-0">Stavební nářadí</p>
                </div>
            </a>
        </div>
        <div class="col-6 col-md-3 p-2 p-lg-3">
            <a href="#main" class="link-category" data-link-cat="transport"
               th:classappend="${category == 'transport'} ? 'active'">
                <div class="py-3 px-2 btn-category center">
                    <i class="fas fa-truck-pickup btn-category-img"></i>
                    <p class="m-0">Dopravní prostředky</p>
                </div>
            </a>
        </div>
        <div class="col-6 col-md-3 p-2 p-lg-3">
            <a href="#main" class="link-category" data-link-cat="sport"
               th:classappend="${category == 'sport'} ? 'active'">
                <div class="py-3 px-2 btn-category center">
                    <i class="fas fa-futbol btn-category-img"></i>
                    <p class="m-0">Sport a zábava</p>
                </div>
            </a>
        </div>
    </div>

    <div th:replace="fragments/layout :: alerts"></div>

    <!--SORTIMENT-->
    <div id="products" class="pt-3 pb-5" th:fragment="products(products, heading)">

        <h1 sec:authorize="!hasRole('ADMIN')" th:text="${heading}">Stavební stroje</h1>

        <div sec:authorize="hasRole('ADMIN')" class="clearfix">
            <h1 th:text="${heading}" class="float-left">Stavební stroje</h1>
            <a th:href="@{/admin/product/new} + '?cat=' + ${category}" class="btn btn-sm btn-success float-right">
                <i class="fas fa-plus"></i>
                Přidat produkt
            </a>
        </div>

        <div th:if="${#lists.isEmpty(products)}">
            <div class="alert alert-warning mt-3" role="alert">
                Nebyli nalezeny žádné produkty.
            </div>
        </div>

        <div th:if="${not #lists.isEmpty(products)}" class="row no-gutters pt-2">
            <!--PRODUKT-->
            <div class="col-12 col-lg-6 p-0" th:each="product,iStat : ${products}">
                <div class="product_card row shadow-sm border rounded py-2 px-sm-2 m-0 m-sm-1"
                     th:attr="data-product-id=${product.id}" onclick="productCardClick(this)">
                    <div class="col-6 px-1 border-right text-center d-flex">
                        <img class="product_img m-auto pb-45"
                             th:src="@{'/image/' + ${(product.getMainImage() != null) ? product.getMainImage().getSmallName() : 'default.jpg'}}">

                        <div class="bottom-bar">
                            <p class="br mb-0 pr-2">
                                <span class="text-orange font-weight-bold h3" th:text="${product.price}">1500</span>
                                <small class="text-muted"> Kč/den</small>
                            </p>
                        </div>
                    </div>
                    <div class="col-6 pt-2 pl-3 pr-2">
                        <div class="row no-gutters" sec:authorize="hasRole('ADMIN')">
                            <h4 class="col-9" th:text="${product.name}"></h4>
                            <div class="col-3 clearfix">
                                <a class="btn btn-sm btn-warning float-right"
                                   th:href="@{/admin/product/edit/} + ${product.id}">
                                    <i class="fas fa-pencil-alt"></i>
                                </a>
                            </div>
                        </div>
                        <div sec:authorize="!hasRole('ADMIN')">
                            <h4 th:text="${product.name}"></h4>
                        </div>
                        <p class="mb-0 d-none d-xs-block" th:text="${product.getShortDesc(100)}"></p>

                        <div class="bottom-bar">
                            <div th:if="${availableDates[iStat.index]} == ${todayDate}">
                                <span class="bl ml-2 badge badge-pill badge-success">Volné</span>
                            </div>
                            <div th:if="${availableDates[iStat.index]} != ${todayDate}">
                                <span class="bl ml-2 badge badge-pill badge-warning" th:text="${availableDates[iStat.index]}">Volné</span>
                            </div>
                            <a class="br mr-2 btn btn-sm btn-success"
                               th:href="@{/product/} + ${product.id} + '#borrow'">Zarezervovat</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>

<div th:replace="fragments/layout :: footer"></div>

<script>
    $('.link-category').click(function () {
        var category = $(this).data('link-cat');
        $('.link-category').removeClass('active');
        $(this).addClass('active');
        $.ajax({
            url: '/ajax/sortiment',
            type: 'POST',
            data: {cat: category}, //JSON.stringify(orderId)
            success: function (data) {
                $('#products').html(data);
            },
            error: function (a, b, c) {
                console.log(a, b, c);
            }
        });
    });

    function productCardClick(card) {
        window.location.href = "/product/" + $(card).data("product-id");
    }
</script>

</body>
</html>